/****************************************Copyright (c)****************************************************
**                                      
**                                 http://www.powermcu.com
**
**--------------File Info---------------------------------------------------------------------------------
** File name:               main.c
** Descriptions:            The GPIO-LED application function
**
// Includes ------------------------------------------------------------------*/
#include "stm32f10x.h"


/* Private functions ---------------------------------------------------------*/
void GPIO_Configuration(void);

int main(void)
{
	int i=0;
	GPIO_Configuration();
    /* Infinite loop */
    while (1)
	{
		/* LED1-ON LED2-OFF */
		GPIO_SetBits(GPIOC , GPIO_Pin_0 | GPIO_Pin_2 | GPIO_Pin_4);
		GPIO_ResetBits(GPIOC , GPIO_Pin_1 | GPIO_Pin_3);
		for(i=0;i<0xfffff;i++);
		for(i=0;i<0xfffff;i++);
		for(i=0;i<0xfffff;i++);	

		/* LED1-OFF LED2-ON */
		GPIO_ResetBits(GPIOC , GPIO_Pin_0 | GPIO_Pin_2 | GPIO_Pin_4);
		GPIO_SetBits(GPIOC , GPIO_Pin_1 | GPIO_Pin_3);
		for(i=0;i<0xfffff;i++);
		for(i=0;i<0xfffff;i++);
		for(i=0;i<0xfffff;i++);	
    }
}

/*******************************************************************************
* Function Name  : GPIO_Configuration
* Description    : Configure GPIO Pin
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void GPIO_Configuration(void)
{
  GPIO_InitTypeDef GPIO_InitStructure;
  
  RCC_APB2PeriphClockCmd( RCC_APB2Periph_GPIOC , ENABLE); 						 
/**
 *	LED1 -> PB0   LED2 -> PB1
 */					 
  GPIO_InitStructure.GPIO_Pin = GPIO_Pin_0 | GPIO_Pin_1 | GPIO_Pin_2 | GPIO_Pin_3 | GPIO_Pin_4;
  GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP; 
  GPIO_Init(GPIOC, &GPIO_InitStructure);
}

/* #ifdef  USE_FULL_ASSERT

/**
  * @brief  Reports the name of the source file and the source line number
  *   where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
/*void assert_failed(uint8_t* file, uint32_t line)
{ 
  /* User can add his own implementation to report the file name and line number,
     ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */

  /* Infinite loop */
/*  while (1)
  {
  }
}
#endif */

/*********************************************************************************************************
      END FILE
*********************************************************************************************************/
